Page MenuHomePhabricator

Export one "real" ES6 class per file
Closed, ResolvedPublic

Description

This not only makes for smoother porting of PHP code but also improves code readability.

Details

Related Gerrit Patches:
mediawiki/services/parsoid : masterRename LinkHandler.js to WikiLinkHandler.js
mediawiki/services/parsoid : masterSplit ExternalLinkHandler into its own class
mediawiki/services/parsoid : masterSplit Token types into separate classes in lib/tokens

Event Timeline

ssastry created this task.Nov 9 2018, 10:52 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 9 2018, 10:52 PM
ssastry triaged this task as Medium priority.Nov 9 2018, 10:52 PM

Change 472747 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Split Token types into separate classes in lib/types

https://gerrit.wikimedia.org/r/472747

Change 472747 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Split Token types into separate classes in lib/tokens

https://gerrit.wikimedia.org/r/472747

ssastry moved this task from Backlog to Post-Port Work on the Parsoid-PHP board.Nov 20 2018, 2:51 PM

Change 480999 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Split ExternalLinkHandler into its own class

https://gerrit.wikimedia.org/r/480999

Change 481000 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Rename LinkHandler.js to WikiLinkHandler.js

https://gerrit.wikimedia.org/r/481000

Change 480999 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Split ExternalLinkHandler into its own class

https://gerrit.wikimedia.org/r/480999

Change 481000 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Rename LinkHandler.js to WikiLinkHandler.js

https://gerrit.wikimedia.org/r/481000

ssastry closed this task as Resolved.Feb 5 2019, 10:46 PM
ssastry removed a project: Patch-For-Review.